#### *Module Fetch Annuaires*

## Recherche Entreprises (Insee)

L’API ["Recherche d’entreprises"](https://api.gouv.fr/les-api/api-recherche-entreprises) permet de trouver une entreprise française.
Celle-ci se base sur plusieurs jeux de données ouverts :
- Base Sirene des entreprises (Insee)
- Répertoire national des élus (Ministère de l'Intérieur)
- Liste des entreprises RGE (ADEME)
- Déclarations des entrepreneurs de spectacles vivants (Ministère de la Culture)

>## Avantages

>Contrairement à l'API Sirene, Recherche Entreprises est accessible sans authentification, permettant ainsi un accès direct sans interroger le serveur Dolibarr.

>## Limitations

>###7 requêtes par seconde

>Dans la grande majorité des situations, cette limite ne pose généralement aucun problème.
Cependant, il est important de noter que celle-ci peut être atteinte en cas d'un grand nombre d'utilisateurs, exposant ainsi le risque d'une éventuelle mise sur liste noire.
En raison de sa structure, Fetch Annuaires ne dispose pas du moyen de contrôler cette limite.

>### Recherches

>Cette API ne permet pas l'accès aux données complètes de la base Sirene. Son utilisation se limite à la recherche d'une entreprise par sa dénomination et/ou son adresse.
Par conséquent, il n'est pas envisageable d'obtenir la liste complète des établissements d'une entreprise (Stocks).


<br>
<br>

## INPI

Via la fiche de l'entreprise, vous avez la possibilité de consulter le site de l'[Institut National de la Propriété Industrielle](https://data.inpi.fr). Les informations les plus récentes relatives à l'entreprise sont accessibles via les observations situées en bas de page.<br>
NOTE IMPORTANTE : L'accès au site de l'INPI peut nécessiter un certain temps et sembler inactif. Il est recommandé de faire preuve de patience pendant le chargement de la page.
<br>
<br>
<br>

### Conditions générales d'utilisation

Recherche Entreprises - [licence etalab-2.0](https://github.com/etalab/licence-ouverte/blob/master/LO.md)<br>
INPI - [Conditions générales d'utilisation](https://data.inpi.fr/content/editorial/cgu)

### Licence Fetch Annuaires

GPLv3. [See file COPYING for more information](../COPYING).

### Contact

Herm Bru - https://sourceforge.net/projects/fetch-annuaires/