<?php

header('Content-Type: application/json; charset=utf-8');
define('COUNTRIES', ['AT','BE','BG','CY','CZ','DE','DK',
  'EE','EL','ES','EU','FI','FR','HR','HU','IE','IT','LT',
  'LU','LV','MT','NL','PL','PT','RO','SE','SI','SK','XI']);

$tvaNumber = isset($_GET['tvanumber']) && ctype_alnum($_GET['tvanumber'])? $_GET['tvanumber'] : '';
if (! $tvaNumber) returnError('Format du numéro de TVA invalide');
$country = strtoupper(substr($tvaNumber, 0, 2));
$codeTVA = substr($tvaNumber, 2);

if (! in_array($country, COUNTRIES)) {
  returnError('Code pays invalide (' . $country . ')');
}

$api_url = 'https://ec.europa.eu/taxation_customs/vies/rest-api/ms/' . $country . '/vat/' . $codeTVA;


$data = @file_get_contents($api_url, false);
if ( $data === false ) {
  returnError('Serveur TVA europa.eu inaccessible. Réessayez plus tard ' . error_get_last());
}
echo $data;
exit();

function returnError ($str) {
  echo json_encode(array('error' => $str));
  exit();
}
?>